|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Qt 3 Support Members for QHBoxWidget

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QHBoxWidget class reference

### Public Functions

- QHBoxWidget ( QWidget * parent, const char * name, Qt::WFlags f = 0 )

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Member Function Documentation

### QHBoxWidget::QHBoxWidget ( QWidget * parent, const char * name, Qt::WFlags f = 0 )

Constructs an hbox widget with parent parent, called name. The parent, name and widget flags, f, are passed to the QFrame constructor.